function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance"); }

function _iterableToArrayLimit(arr, i) { if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) { return; } var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

import React, { useState } from 'react';
import CircularProgress from '@material-ui/core/CircularProgress';
export var ImageLoader = function ImageLoader(_ref) {
  var classes = _ref.classes,
      url = _ref.url;

  var _useState = useState(true),
      _useState2 = _slicedToArray(_useState, 2),
      loading = _useState2[0],
      setLoading = _useState2[1];

  var _useState3 = useState(false),
      _useState4 = _slicedToArray(_useState3, 2),
      imageError = _useState4[0],
      setImageError = _useState4[1];

  var onLoad = function onLoad(e) {
    e.stopPropagation();
    setLoading(false);
  };

  var onError = function onError(e) {
    e.stopPropagation();

    if (loading) {
      setLoading(false);
    }

    if (!imageError) {
      setImageError(true);
    }
  };

  return React.createElement("div", {
    className: loading || imageError ? classes.emptyBubble : classes.thumbnail
  }, loading && !imageError && React.createElement(CircularProgress, {
    className: classes.progress
  }), React.createElement("img", {
    src: url,
    alt: url,
    onLoad: onLoad,
    onError: onError,
    className: classes.imageMessage
  }));
};
export default ImageLoader;